Bug 1192580 - (CVE-2020-23903) VUL-0: CVE-2020-23903: speex: A Divide by Zero vulnerability in read_samples of Speex v1.2 allows attackers to cause a denial of service (DoS) via a crafted WAV file.
(CVE-2020-23903)
VUL-0: CVE-2020-23903: speex: A Divide by Zero vulnerability in read_samples ...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/314759/
CVSSv3.1:SUSE:CVE-2020-23903:5.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-11 11:20 UTC by Carlos López
Modified: 2022-06-10 08:43 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos López 2021-11-11 11:20:01 UTC
CVE-2020-23903

A Divide by Zero vulnerability in the function static int read_samples of Speex
v1.2 allows attackers to cause a denial of service (DoS) via a crafted WAV file.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-23903
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-23903
https://github.com/xiph/speex/issues/13
Comment 1 Carlos López 2021-11-11 11:20:13 UTC
Affected codestreams:
 - SUSE:SLE-11:Update 
 - SUSE:SLE-12:Update
 - SUSE:SLE-15:Update

Also affected on openSUSE:
 - openSUSE:Factory
Comment 2 Takashi Iwai 2021-11-11 12:32:08 UTC
Submitted the fix to SLE11, SLE12 and SLE15 updates as well as OBS Factory.

Reassigned back to security team.
Comment 4 Swamp Workflow Management 2021-12-01 20:31:47 UTC
openSUSE-SU-2021:3860-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1192580
CVE References: CVE-2020-23903
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    speex-1.2-3.3.1
Comment 5 Swamp Workflow Management 2021-12-01 21:04:41 UTC
SUSE-SU-2021:3860-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1192580
CVE References: CVE-2020-23903
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    speex-1.2-3.3.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    speex-1.2-3.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    speex-1.2-3.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    speex-1.2-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2021-12-01 21:29:18 UTC
SUSE-SU-2021:3858-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1192580
CVE References: CVE-2020-23903
JIRA References: 
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    speex-1.1.999_1.2rc1-24.3.1
SUSE Linux Enterprise Server 12-SP5 (src):    speex-1.1.999_1.2rc1-24.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2021-12-06 17:32:34 UTC
openSUSE-SU-2021:1538-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1192580
CVE References: CVE-2020-23903
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    speex-1.2-lp152.4.3.1
Comment 8 Carlos López 2022-06-10 08:43:46 UTC
Done, closing.